/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomNotation_H__
#define __GdomNotation_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomNode.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomNotation GdomNotation;
typedef struct _GdomNotationClass GdomNotationClass;


#define GDOM_TYPE_NOTATION            (gdom_notation_get_type())
#define GDOM_NOTATION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_NOTATION, GdomNotation))
#define GDOM_NOTATION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_NOTATION, GdomNotation)Class)
#define GDOM_IS_NOTATION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_NOTATION))
#define GDOM_IS_NOTATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_NOTATION))
#define GDOM_NOTATION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_NOTATION, GdomNotationClass))

typedef struct _GdomNotationPrivate GdomNotationPrivate;

struct _GdomNotation {
    GdomNode parent_instance;
    GdomNotationPrivate *priv;
};

struct _GdomNotationClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_notation_get_type (void);

G_END_DECLS

#endif /* __GdomNotation_H__ */
